#include <anything.ci>

void print_locs (ctl::vector<ctl::location> locs)
{
	for (int i=0;i<locs.size();i++)
		locs[i].print(std::cout);
}

int main (int argc, char **argv)
{
	//ctl::openLog("stderr", -1);
	ctl::vector<ctl::location> loc = ctl::readLocation("locs.txt");
	if (loc.size() < 1)
	{
		std::cerr << "No valid location found.\n";
		return 1;
	}
	ctl::link lnk(loc[0]);

	try
	{
		Anything::use(lnk);
		Anything moo;
		ctl::any bar(23);
		moo.foo0(bar);
		ctl::any foo = moo.foo2(bar);
		std::cout << foo << " " << *foo.get<int>() << "\n";
		std::cout << (int)moo.foo3(bar) << "\n";
	}
	catch (ctl::exception &e)
	{
		std::cerr << "Error: " << e << "\n";
	}
	return 0;
}
