#ifndef __MYEXCEPT_H
#define __MYEXCEPT_H

#include <string>
#include <ctl.h>

namespace wire 
{
	class myException
	{
		private:
			std::string msg;

		public:
			myException ()
			{
				msg = "live free() or die";
			}

			const char *message () const
			{
				return msg.c_str();
			}

			ctl::oStream &write(ctl::oStream &os) const 
			{
				os << msg;
			} 
	
			ctl::iStream &read(ctl::iStream &is)
			{
				is >> msg;
			}
	};
}

#endif //__MYEXCEPT_H
