#include <moo.ci>

int main (int argc, char **argv)
{
	ctl::vector<ctl::location> loc = ctl::readLocation("../../../../locs.txt");
	if (loc.size() < 1)
	{
		std::cerr << "No valid location found.\n";
		return 1;
	}
	ctl::link lnk(loc[0]);

	try
	{
		Moo::use(lnk);
	}
	catch (ctl::exception &e)
	{
		std::cerr << e << "\n";
	}
	return 0;
}
