package Bench;

import CTL.Types.*;
import javaSys.*;

/** Scalability benchmark client */
public class Scale
{
	public static void main (String[] args)
	{
		int len = 4096;
		if (args.length>0)
			len = Integer.parseInt(args[0]);

		for (Location loc : Location.parseFile("locs.txt"))
		{
			CTL.Process proc = new CTL.Process(loc);
		
			try
			{
				SendCI.use(proc);
				SendCI send = new SendCI();
				System.out.println("Sending "+(len*4/1024/1024)+" MB data.");
				double[] moo = new double[len];
				send.send(moo);
			} catch (NumberFormatException e) {}
		}
	}
}
