package Example;

import CTL.Types.*;
import javaSys.CryptCI;

/** Simple client for the crypto component */
public class Crypto
{
	public static void main (String[] args)
	{
		for (Location loc : Location.parseFile("locs.txt"))
		{
			CTL.Process proc = new CTL.Process(loc);
			CryptCI.use(proc);
			CryptCI crypt = new CryptCI("VigenereChiffre");
			crypt.createKey("/tmp/key.tmp");
			crypt.encrypt("/tmp/text.tmp", "/tmp/enc.tmp", "/tmp/key.tmp");
			//crypt.decrypt("/tmp/dec.tmp", "/tmp/enc.tmp", "/tmp/key.tmp");
		}
	}
}	
