package Impl;

import CTL.Annotate.*;
import CTL.Types.*;
import javaSys.*;

/** Testing a chain of components (Java implementation) */
public class Chain
{
	@export public double calcPI (int i)
	{
		if (i == 0)
			return Math.PI;
		
		Location loc = Location.parseFile("locs.txt").get(0);
		CTL.Process proc = new CTL.Process(loc);
		ChainCI.use(proc);
		ChainCI chain = new ChainCI();
		double ret = chain.calcPI(i-1);
		return ret;
	}
}
