package NCLib;

import java.util.*;

/** Various helper functions concerning strings */
public class Strings
{
	/** Generate a linked list from a bunch of strings
	 * @param args A bunch of strings
	 * @return LinkedList<String> containing the bunch of strings
	 */
	// TODO: This is generic...
	public static <T extends Object> LinkedList<T> makeList (T... args)
	{
		LinkedList<T> ret = new LinkedList<T>();
		for (T obj : args)
			ret.add(obj);
		return ret;
	}

	// TODO: document
	public static <T extends Object> String join (String joiner, 
		T[] list)
	{
		if (list == null || list.length == 0)
			return "";
		String result = list[0].toString();
		for (int i=1;i<list.length;i++)
			result += joiner+list[i].toString();
		return result;
	}

	public static <T extends Object> String join (String joiner,
		LinkedList<T> list)
	{
		if (list == null)
			return "";
		return join(joiner, list.toArray());
	}

	/** Test routine */
	public static void main (String[] args)
	{
		System.out.println(makeList("foo", "bar", "moo"));	
	}	
}
