package Test;

import CTL.*;
import CTL.Streams.*;

import java.io.*;
import java.util.*;

/** Test case for the ASCII serializer */
public class ASCII
{
	public static void main (String[] args)
	{
		LinkedList<String> moo = new LinkedList<String>();
		moo.add("foo");
		moo.add("moongoo");
		moo.add("mogguh");

		try
		{
			Env.newLogger("test");
			File f = File.createTempFile("CTL", null);
			FileOutputStream out = new FileOutputStream(f);
			OOStream out2 = new OOStream(out);
			out2.writeObject(moo);
			out2.close();
			FileInputStream in = new FileInputStream(f);
			int buf;
			while ((buf = in.read()) != -1)
				System.out.print((char)buf);
			in.close();
			f.delete();
		}
		catch (Exception e)
		{
			RUtil.except(e);
		}
	}
}
