package Test.nio;

import java.net.*;
import java.nio.channels.*;

/** New IO test client */
public class NIOClient
{
	public static void main (String[] args)
	{
		try
		{
			Selector sel = Selector.open();
			InetSocketAddress addr = new InetSocketAddress(InetAddress.getLocalHost(),
				1337);
			SocketChannel chan = SocketChannel.open();
			chan.configureBlocking(false);
			@SuppressWarnings("unused") SelectionKey newKey = chan.register(sel, SelectionKey.OP_READ);
			newKey = chan.register(sel, SelectionKey.OP_WRITE);
			System.out.println("connect(): "+chan.connect(addr));
			System.out.println("finishConnect(): "+chan.finishConnect());
			while (!chan.isConnected());
			System.out.println("Connection established.\n");
			

		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}
}
