#define CTL_Connect
#include <chain.ci>

using namespace javaSys;

class chain
{
public:
	double calcPI (int i)
	{
		std::cout << "Called with i = " << i << ".\n";
		
		if (i == 0)
			return 3.14;
		
		ctl::vector<ctl::location> loc = ctl::readLocation("rsc.txt");
		ctl::link lnk = loc[0];
		if (!lnk)
		{
			std::cout << "Could not create link -> " << loc[0].getSSH() << "\n";
			return -1;
		}
		ChainCCI f(lnk);
		if (!f)
		{
			std::cout << "Could not create chainCI -> " << loc[0].getSSH() << "\n";
			return -1;
		}
		return f.calcPI(i-1);
	}
};

void CTL_connect ()
{
	ctl::connect<ChainCCI,chain>();
}
