#include <libunix.ri>

int main (int argc, char **argv)
{
	ctl::vector<ctl::location> loc = ctl::readLocation("locs.txt");
	if (loc.size() < 1)
	{
		std::cerr << "No valid location found.\n";
		return 1;
	}
	ctl::link lnk(loc[0]);

	try
	{
		NCLib::Unix::use(lnk);
		NCLib::Unix ux;
		ux.system("ls >/tmp/foo");
		//ux.system("env /home/neocool/projects/wire/ctl4j/src/Example.Server");
		//-l pipe -h 93.49.113.10 -S 2 -f /tmp/service.log -v -L -1 -p 1 </tmp/ctl4jYnWCbT >/tmp/ctl4jhgxVNw");
	}
	catch (ctl::exception &e)
	{
		std::cerr << e << "\n";
	}
	return 0;
}
