# CTL Makefile configuration
CTL=$(HOME)/test/ctl
#CTL=$(HOME)/test/ctl1.2
#CTL=$(HOME)/test/new/ctl

CXX=g++
SHARED=-shared

DEBUG=1
ifdef DEBUG
CXXFLAGS=-O0 -g3 -DDEBUG
LDLIBS=$(CTL)/lib/linux-gcc/libctlD.so
else
CXXFLAGS=-Os
LDLIBS=$(CTL)/lib/linux-gcc/libctl.so
endif

CXXFLAGS+=-I$(CTL)/include -I.
LDFLAGS+=-L.
LDLIBS+=-ldl -lpthread

# Mac OS X
#OSX=1
ifdef OSX
OSX_VERS=10.4u
JAVA_VER=1.5.0

#CXX=g++-dp-4.2
SHARED=-dynamiclib
CXXFLAGS+=-fpermissive

LDLIBS=$(CTL)/lib/osx-gcc/libctlD.dylib

STDJNI_FLAGS=-I/Developer/SDKs/MacOSX$(OSX_VERS).sdk/System/Library/Frameworks/JavaVM.framework/Versions/$(JAVA_VER)/Headers
endif

# libStdJNI
STDJNI=$(HOME)/test/de.tubs.wire.libstdjni/build/linux/lib

STDJNI_FLAGS+=-I$(STDJNI) -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
STDJNI_LIBS+=$(STDJNI)/libstdjni.so

# Java
JAVA=java
JAVAC=javac

JAVACFLAGS=-cp .
