package CTL;

import java.util.LinkedList;

/** Terminates processes after main() finished. */
public class Cleaner extends Thread
{
	private Thread thr = null;

	public Cleaner (Thread thr)
	{
		this.thr = thr;
	}

	public void run ()
	{
		try
		{
			thr.join();
		}
		catch (InterruptedException e) {}

		for (CTL.Process proc : (LinkedList<CTL.Process>)Env.procs.clone())
		{
			Env.log.msg(Logger.DBG2, "Process: "+proc);
			proc.stopService();
		}
	}
}
