package Impl;

import CTL.Annotate.*;
import CTL.Types.*;
import javaSys.*;

/** Implementation of a component which calls other components */
public class Application
{
	@export public static String run ()
	{
		String ret = "blah.";
		for (Location loc : Location.parseFile("locs.txt"))
		{
			CTL.Process proc = new CTL.Process(loc);
			CTestCI.use(proc);
			CTestCI test = new CTestCI();
			ret = "3 + 4 = "+test.add(3, 4);
			break;
		}
		return ret;
	}
}
