package Impl;

import CTL.Annotate.*;
import Impl.Types.*;

/** Test implementation class */
public class Mathe
{
	private String foo;

	@cexport public Mathe ()
	{
		this("");
	}
	
	@cexport public Mathe (String foo)
	{
		this.foo = foo;
	}

	@cexport public Mathe (String foo, boolean bar)
	{
		this(foo);
	}

	@export public static String foobar ()
	{
		return "staticMethod";
	}

	@export public String getFoo ()
	{
		return foo;
	}

	@export public void setFoo (String foo)
	{
		this.foo = foo;
	}
	
	// TODO: Try this with non-const to get better error-handling when
	// using a wrong CI (add.ri defines both args as const)
	@export @ReflWrap.sFID(1) public int add (@const_ Integer a, @const_ Integer b)
	{
		return a+b;
	}

	@export public int sub (int a, int b)
	{
		return a-b;
	}

	@export public int mul (int a, int b)
	{
		return a*b;
	}

	@export public int div (int a, int b)
	{
		return a/b;
	}

	@export public double log (double a)
	{
		return Math.log(a);
	}

	@export public float log (float a)
	{
		return (float)Math.log(a);
	}

	@export public DoubleDash loglog (DoubleDash d)
	{
		DoubleDash ret = new DoubleDash();
		
		ret.setFloat(log(d.getFloat()));
		ret.setDouble(log(d.getDouble()));
		
		return ret;
	}

	@export public int add_a (int[] values)
	{
		int retval = 0;

		for (int i=0;i<values.length;i++)
			retval+=values[i];

		return retval;
	}
}
