package Test.endianess;

import CTL.*;
import CTL.Streams.*;

import java.io.*;
import java.nio.*;

/** Writer test for endianess conversion */
public class Writer
{
	public static void main (String[] args)
	{
		try
		{
			Env.newLogger("test");
			File f = new File("/tmp/endian-moo");
			FileOutputStream fos = new FileOutputStream(f);
			OOStream out = new OOStream(fos);
			out.changeEndianess(ByteOrder.LITTLE_ENDIAN);
			out.writeInt(1337);
			out.writeDouble(1337.1337);
			out.writeString("leetness");
			fos.close();
		}
		catch (Exception e)
		{
			RUtil.except(e);
		}
	}
}
